#include "RequestFactory.hpp"
#include <iostream>
using namespace mole;
using namespace ctx;

RequestFactory::RequestFactory(){}

RequestFactory::~RequestFactory(){}

void
RequestFactory::addRequest(std::string key, Request * req){
	req->setName(key);
	list[key] = req;
}

Request *
RequestFactory::getRequest(std::string key){
	return list[key];
}

